curl --request GET \
--url https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"providers": {
"_id": "65cb47dda50f4f13ced4b870",
"altId": "Z4Bxl8J4SaPEPLq9IQ8g",
"altType": "location",
"title": "Example",
"route": "epd",
"provider": "nmi",
"description": "Lorem",
"imageUrl": "https://example.com/assets/pmd/img/payments/nmi-logo.webp",
"createdAt": "2024-02-13T10:43:41.026Z",
"updatedAt": "2024-02-13T10:43:41.026Z"
}
}The “List White-label Integration Providers” API allows to retrieve a paginated list of integration providers. Customize your results by filtering whitelabel integration providers(which are built directly on top of Authorize.net or NMI) based on name or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve integration provider information.
curl --request GET \
--url https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"providers": {
"_id": "65cb47dda50f4f13ced4b870",
"altId": "Z4Bxl8J4SaPEPLq9IQ8g",
"altType": "location",
"title": "Example",
"route": "epd",
"provider": "nmi",
"description": "Lorem",
"imageUrl": "https://example.com/assets/pmd/img/payments/nmi-logo.webp",
"createdAt": "2024-02-13T10:43:41.026Z",
"updatedAt": "2024-02-13T10:43:41.026Z"
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 location Id / company Id based on altType
"6578278e879ad2646715ba9c"
Alt Type
location "location"
The maximum number of items to be included in a single page of results
20
The starting index of the page, indicating the position from which the results should be retrieved.
0
Successful response
Show child attributes
Was this page helpful?